summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPiotr Rogoża2015-06-14 15:11:48 +0200
committerPiotr Rogoża2015-06-14 15:11:48 +0200
commitb941f2ffe7ec2d859bba00efe6ed73a6af93321d (patch)
treec40f5a1e7d159d524d740f63218fcf81da9ec85b
downloadaur-b941f2ffe7ec2d859bba00efe6ed73a6af93321d.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD27
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e8371faf5da
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = ogmrip-oggz
+ pkgdesc = Plugin for OGMRip which adds support for the OGG container for ogmrip
+ pkgver = 0.3
+ pkgrel = 1
+ url = http://ogmrip.sourceforge.net/en/plugins.html
+ arch = i686
+ arch = x86_64
+ groups = ogmrip
+ license = LGPL
+ depends = ogmrip>=0.13
+ depends = liboggz
+ source = http://downloads.sourceforge.net/sourceforge/ogmrip/ogmrip-oggz-0.3.tar.gz
+ source = http://downloads.sourceforge.net/project/ogmrip/ogmrip-oggz/0.3/README
+ md5sums = 8874c1079267e3f962e3bd4dbc9aa8c8
+ md5sums = 24ac59562b0a480c0d88ec6e86095b91
+
+pkgname = ogmrip-oggz
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9bb778f97d8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Piotr Rogoża <rogoza dot piotr at gmail dot com>
+# Contributor: Piotr Rogoża <rogoza dot piotr at gmail dot com>
+# vim:set ts=2 sw=2 et ft=sh tw=100: expandtab
+
+pkgname=ogmrip-oggz
+pkgver=0.3
+pkgrel=1
+pkgdesc='Plugin for OGMRip which adds support for the OGG container for ogmrip'
+arch=('i686' 'x86_64')
+url='http://ogmrip.sourceforge.net/en/plugins.html'
+license=('LGPL')
+groups=('ogmrip')
+depends=('ogmrip>=0.13' 'liboggz')
+source=("http://downloads.sourceforge.net/sourceforge/ogmrip/${pkgname}-${pkgver}.tar.gz"
+"http://downloads.sourceforge.net/project/ogmrip/${pkgname}/${pkgver}/README"
+)
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install
+ install -Dm0644 README ${pkgdir}/usr/share/$pkgname/README
+}
+
+md5sums=('8874c1079267e3f962e3bd4dbc9aa8c8'
+ '24ac59562b0a480c0d88ec6e86095b91')